<?php
namespace Alpha\Sms\Observer;

use Magento\Framework\Event\ObserverInterface;

class Ordersave implements ObserverInterface
{
    public $alphaHelper;
    public function __construct(\Alpha\Sms\Helper\Data $alphaHelper)
    {
        $this->alphaHelper = $alphaHelper;
    }
    
    public function execute(\Magento\Framework\Event\Observer $observer)
    {
        try {
            $order = $observer->getEvent()->getData('order');
            if ($order && $order->getId() > 0) {
                if ($this->alphaHelper->getIsAlphaSent($order->getId()) != 1) {
                    if ($this->alphaHelper->getStoreConfig('alphasms/messages/sendsmsonneworder') == 1) {
                        $countryCode = $this->alphaHelper->getStoreConfig('general/country/default');
                        $body = $this->alphaHelper->getNewOrderMessage($order);
                        $to = $this->alphaHelper->getStoreConfig('alphasms/settings/adminphone');
                        $this->alphaHelper->sendSMS($to, $body, 'New_Order', $order->getId(), $countryCode);
                        $this->alphaHelper->setIsAlphaSent($order->getId());
                    }
                } elseif ($order->getOrigData('status') != $order->getStatus()) {
                    $cpath = 'alphasms/messages/sendsmsonship';
                    $sendsmsonship = $this->alphaHelper->getStoreConfig($cpath);
                    if ($order->hasShipments() && $sendsmsonship== 1) {
                        $address = $order->getShippingAddress();
                        if ($address) {
                            $countryCode = $address->getCountryId();
                            $to = $address->getTelephone();
                        } else {
                            $address = $order->getBillingAddress();
                            $countryCode = $address->getCountryId();
                            $to = $address->getTelephone();
                        }
                        $body = $this->alphaHelper->getShippedStatusMessage($order);
                        $this->alphaHelper->sendSMS($to, $body, 'Shipped_Status', $order->getId(), $countryCode);
                    }
                }
            }
        } catch (\Magento\Framework\Exception\LocalizedException $e) {
		    throw new \Magento\Framework\Exception\LocalizedException($e->getMessage());
        }
    }
}
